		cpu 8086
		org 0x7C00

%include	"inc/bpb.asm"
%include	"inc/mbr.asm"

		; kernel stack size in words
%define		stacksize 512

init:		cli
		xor ax, ax
		mov ds, ax
		mov es, ax
		mov ss, ax
		mov sp, ( stack+stacksize )

print_banner:	mov si, banner
		mov ah, 0x0e
		xor bx, bx
.loop:		lodsb
		int 0x10
		cmp al, 0x0D
		jnz .loop

		call dskrst

		mov dl, 0
		call dsksel

hlt:		hlt
		jmp hlt

%defstr VERSIONSTR VERSION
banner:		db "RDOS ", VERSIONSTR, 0x0A, 0x0D

%include        "kernel/drive.asm"

section .bss

stack:		resb stacksize
